#!/bin/bash

ADVMOD=apaxebus
APAXTTY=apax_tty
INSTALL_DIR=/lib/advantech/etheriobus

# ===================================================================
modprobe -r igb
# -------------------------------------------------------------------


# ===================================================================
if grep  $ADVMOD /proc/modules > /dev/null ; then
	rmmod $ADVMOD
fi

if [ -c /dev/$ADVMOD ] ; then
	rm -f /dev/$ADVMOD
fi

insmod $INSTALL_DIR/$ADVMOD.ko
ID=`awk '$2=="apaxebus"{print $1}' /proc/devices`
mknod /dev/$ADVMOD c $ID 0
chmod a+w /dev/$ADVMOD
# -------------------------------------------------------------------


# ===================================================================
modprobe igb
# -------------------------------------------------------------------


# ===================================================================
if grep  $APAXTTY /proc/modules > /dev/null ; then
	rmmod $APAXTTY
fi

if [ -c /dev/$APAXTTY ] ; then
	rm -f /dev/$APAXTTY
fi

insmod $INSTALL_DIR/$APAXTTY.ko
ID=`awk '$2=="ttyAPAX"{print $1}' /proc/devices`
mknod /dev/$APAXTTY c $ID 0
chmod a+w /dev/$APAXTTY
# -------------------------------------------------------------------


# ===================================================================
$INSTALL_DIR/elaunch &
# -------------------------------------------------------------------
